=== modified file 'include/drizzle_com.h'
--- include/drizzle_com.h	2008-07-16 03:31:49 +0000
+++ include/drizzle_com.h	2008-07-20 06:27:34 +0000
@@ -58,11 +58,10 @@
 {
   COM_SLEEP, COM_QUIT, COM_INIT_DB, COM_QUERY, COM_FIELD_LIST,
   COM_CREATE_DB, COM_DROP_DB, COM_REFRESH, COM_SHUTDOWN, COM_STATISTICS,
-  COM_PROCESS_INFO, COM_CONNECT, COM_PROCESS_KILL, COM_DEBUG, COM_PING,
-  COM_TIME, COM_DELAYED_INSERT, COM_CHANGE_USER, COM_BINLOG_DUMP,
-  COM_TABLE_DUMP, COM_CONNECT_OUT, COM_REGISTER_SLAVE,
-  COM_STMT_PREPARE, COM_STMT_EXECUTE, COM_STMT_SEND_LONG_DATA, COM_STMT_CLOSE,
-  COM_STMT_RESET, COM_SET_OPTION, COM_STMT_FETCH, COM_DAEMON,
+  COM_PROCESS_INFO, COM_CONNECT, COM_PROCESS_KILL, COM_PING,
+  COM_TIME, COM_CHANGE_USER, COM_BINLOG_DUMP,
+  COM_CONNECT_OUT, COM_REGISTER_SLAVE,
+  COM_SET_OPTION, COM_DAEMON,
   /* don't forget to update const char *command_name[] in sql_parse.cc */
 
   /* Must be last */

=== modified file 'server/sql_parse.cc'
--- server/sql_parse.cc	2008-07-14 23:48:30 +0000
+++ server/sql_parse.cc	2008-07-20 06:27:34 +0000
@@ -541,12 +541,6 @@
   case COM_STATISTICS:
   case COM_PING:
     break;
-  /* Only increase id on these statements but don't count them. */
-  case COM_STMT_PREPARE: 
-  case COM_STMT_CLOSE:
-  case COM_STMT_RESET:
-    next_query_id();
-    break;
   /* Increase id and count all other statements. */
   default:
     statistic_increment(thd->status_var.questions, &LOCK_status);
@@ -685,16 +679,6 @@
     }
     break;
   }
-  case COM_STMT_EXECUTE:
-  case COM_STMT_FETCH:
-  case COM_STMT_SEND_LONG_DATA:
-  case COM_STMT_PREPARE:
-  case COM_STMT_CLOSE:
-  case COM_STMT_RESET:
-  {
-    /* We should toss an error here */
-    break;
-  }
   case COM_QUERY:
   {
     if (alloc_query(thd, packet, packet_length))
@@ -1674,7 +1658,6 @@
                            0, (ORDER*) 0, 0);
     break;
   }
-#ifdef HAVE_REPLICATION
   case SQLCOM_SLAVE_START:
   {
     pthread_mutex_lock(&LOCK_active_mi);
@@ -1708,7 +1691,6 @@
     pthread_mutex_unlock(&LOCK_active_mi);
     break;
   }
-#endif /* HAVE_REPLICATION */
 
   case SQLCOM_ALTER_TABLE:
     assert(first_table == all_tables && first_table != 0);
@@ -1899,7 +1881,6 @@
 
     res= mysql_multi_update_prepare(thd);
 
-#ifdef HAVE_REPLICATION
     /* Check slave filtering rules */
     if (unlikely(thd->slave_thread))
     {
@@ -1919,7 +1900,6 @@
     }
     else
     {
-#endif /* HAVE_REPLICATION */
       if (res)
         break;
       if (opt_readonly &&
@@ -1928,9 +1908,7 @@
 	my_error(ER_OPTION_PREVENTS_STATEMENT, MYF(0), "--read-only");
 	break;
       }
-#ifdef HAVE_REPLICATION
     }  /* unlikely */
-#endif
 
     res= mysql_multi_update(thd, all_tables,
                             &select_lex->item_list,
@@ -2357,7 +2335,6 @@
       do_db/ignore_db. And as this query involves no tables, tables_ok()
       above was not called. So we have to check rules again here.
     */
-#ifdef HAVE_REPLICATION
     if (thd->slave_thread && 
 	(!rpl_filter->db_ok(lex->name.str) ||
 	 !rpl_filter->db_ok_with_wild_table(lex->name.str)))
@@ -2365,7 +2342,6 @@
       my_message(ER_SLAVE_IGNORED_TABLE, ER(ER_SLAVE_IGNORED_TABLE), MYF(0));
       break;
     }
-#endif
     if (thd->locked_tables || thd->active_transaction())
     {
       my_message(ER_LOCK_OR_ACTIVE_TRANSACTION,
@@ -2383,7 +2359,6 @@
       res= 1;
       break;
     }
-#ifdef HAVE_REPLICATION
     if (thd->slave_thread && 
        (!rpl_filter->db_ok(db->str) ||
         !rpl_filter->db_ok_with_wild_table(db->str)))
@@ -2392,7 +2367,6 @@
       my_message(ER_SLAVE_IGNORED_TABLE, ER(ER_SLAVE_IGNORED_TABLE), MYF(0));
       break;
     }
-#endif
     if (check_db_name(db))
     {
       my_error(ER_WRONG_DB_NAME, MYF(0), db->str);
@@ -2427,7 +2401,6 @@
       do_db/ignore_db. And as this query involves no tables, tables_ok()
       above was not called. So we have to check rules again here.
     */
-#ifdef HAVE_REPLICATION
     if (thd->slave_thread &&
 	(!rpl_filter->db_ok(db->str) ||
 	 !rpl_filter->db_ok_with_wild_table(db->str)))
@@ -2435,7 +2408,6 @@
       my_message(ER_SLAVE_IGNORED_TABLE, ER(ER_SLAVE_IGNORED_TABLE), MYF(0));
       break;
     }
-#endif
     if (thd->locked_tables || thd->active_transaction())
     {
       my_message(ER_LOCK_OR_ACTIVE_TRANSACTION,
@@ -3080,7 +3052,6 @@
 }
 
 
-#ifdef HAVE_REPLICATION
 /*
   Usable by the replication SQL thread only: just parse a query to know if it
   can be ignored because of replicate-*-table rules.
@@ -3107,7 +3078,6 @@
   thd->cleanup_after_query();
   return(error);
 }
-#endif
 
 
 

